> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Git 権限を一覧取得

> 組織の Git 権限一覧を取得します。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ManageGitIntegrations` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/organizations/{org_id}/git-providers/permissions
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/organizations/{org_id}/git-providers/permissions:
    get:
      tags:
        - git_permissions
      summary: Git 権限を一覧取得
      description: 組織の Git 権限一覧を取得します。
      operationId: >-
        handle_get_organization_git_permissions_v3_enterprise_organizations__org_id__git_providers_permissions_get
      parameters:
        - description: '組織ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_GitPermissionResponse_'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    PaginatedResponse_GitPermissionResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。最後のページの場合は None。
          title: End Cursor
        has_next_page:
          default: false
          description: このページの後に、さらに取得可能な項目があるかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/GitPermissionResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 総件数（パフォーマンス向上のため省略可能）。
          title: Total
      required:
        - items
      title: PaginatedResponse[GitPermissionResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitPermissionResponse:
      properties:
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
        git_connection_id:
          title: Git Connection Id
          type: string
        git_permission_id:
          title: Git Permission Id
          type: string
        group_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Prefix
        prefix_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix Path
        read_only:
          default: false
          title: Read Only
          type: boolean
        repo_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Path
      required:
        - git_permission_id
        - git_connection_id
      title: GitPermissionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````